ArchestrA Log Flag Editor Help

ArchestrA Log Flag Editor Help

Next Topic

ArchestrA Log Flag Editor Help

Publication date: 10/23/2018

In This Book

Legal Information

Contact Information

Welcome

Overview of Log Flags

Using the ArchestrA Log Flag Editor

| Contact Us


Legal Information

ArchestrA Log Flag Editor Help > Legal Information

Legal Information

© 2018 AVEVA Group plc and its subsidiaries. All rights reserved.

No part of this documentation shall be reproduced, stored in a retrieval system, or transmitted by any means, electronic, mechanical, photocopying, recording, or otherwise, without the prior written permission of AVEVA. No liability is assumed with respect to the use of the information contained herein.

Although precaution has been taken in the preparation of this documentation, AVEVA assumes no responsibility for errors or omissions. The information in this documentation is subject to change without notice and does not represent a commitment on the part of AVEVA. The software described in this documentation is furnished under a license agreement. This software may be used or copied only in accordance with the terms of such license agreement.

ArchestrA, Aquis, Avantis, DYNSIM, eDNA, EYESIM, InBatch, InduSoft, InStep, IntelaTrac, InTouch, PIPEPHASE, PRiSM, PRO/II, PROVISION, ROMeo, SIM4ME, SimCentral, SimSci, Skelta, SmartGlance, Spiral Software, Termis, WindowMaker, WindowViewer, and Wonderware are trademarks of AVEVA and/or its subsidiaries. An extensive listing of AVEVA trademarks can be found at: https://sw.aveva.com/legal. All other brands may be trademarks of their respective owners.

Publication date: 10/23/2018


Contact Information

ArchestrA Log Flag Editor Help > Contact Information

Contact Information

AVEVA Group plc
High Cross
Madingley Road
Cambridge
CB3 OHB. UK

https://sw.aveva.com/

For information on how to contact sales, customer training, and technical support, see https://sw.aveva.com/contact.


Documentation Conventions

ArchestrA Log Flag Editor Help > Welcome > Documentation Conventions

Documentation Conventions

This documentation uses the following conventions:

Convention | Used for
Initial Capitals | Paths and file names.
Bold | Menus, commands, dialog box names, and dialog box options.
Monospace | Code samples and display text.

Related Topics

Welcome


ArchestrA Log Flag Editor User Guide

ArchestrA Log Flag Editor Help > Welcome > ArchestrA Log Flag Editor User Guide

ArchestrA Log Flag Editor User Guide

Before you contact Technical Support, refer to the relevant section(s) in this documentation for a possible solution to the problem. If you need to contact technical support for help, have the following information ready:

  • The type and version of the operating system you are using.
  • Details of how to recreate the problem.
  • The exact wording of the error messages you saw.
  • Any relevant output listing from the Log Viewer or any other diagnostic applications.
  • Details of what you did to try to solve the problem(s) and your results.
  • If known, the Technical Support case number assigned to your problem, if this is an ongoing problem.

Welcome


Overview of Log Flags

ArchestrA Log Flag Editor Help > Overview of Log Flags

Overview of Log Flags

You can use the ArchestrA Log Flag Editor to assign a flag value to each category of messages issued by an ArchestrA component. By switching flags on or off, you control which categories of messages are saved to the ArchestrA Logger.

The following figure summarizes how log flags control whether component messages are logged or not. Also, you can use log flags to assign message categories to other ArchestrA components.

Most categories of messages are not logged. Typically, a component issues only error, warning, and informational messages. Most other message categories remain inactive.

The ArchestrA Log Flag Editor is primarily a troubleshooting tool. When a component begins logging error messages, you can use log flags to activate other message categories and begin saving additional diagnostic messages to the Logger.

In This Chapter

Understanding Log Flags

Introducing the ArchestrA Log Flag Editor


Understanding Log Flags

ArchestrA Log Flag Editor Help > Overview of Log Flags > Understanding Log Flags

Understanding Log Flags

Each message sent to the Logger by an ArchestrA component belongs to a specific message category. Each message category has an associated log flag.

The status of a log flag indicates whether messages that belong to the message category are logged or not. When a log flag is active, the messages from the category are logged. Conversely, an inactive log flag prevents messages from being logged.

There are two types of log flags:

  • Default log flags

    All ArchestrA components include default log flags, which are associated with standard message categories.

  • Custom log flags

    Custom log flags apply to unique message categories that are used by only a few ArchestrA components.

Related Topics

Overview of Log Flags

Default Log Flags

Custom Log Flags


Default Log Flags

ArchestrA Log Flag Editor Help > Overview of Log Flags > Understanding Log Flags > Default Log Flags

Default Log Flags

All ArchestrA components include a set of default log flags for standard categories of messages. For example, all ArchestrA components can produce error, warning, and informational messages. These standard message categories have associated default log flags.

The following table lists default log flags for the standard ArchestrA message categories.

Default Log Flag | Description
Error | The Error log flag determines if error messages are logged. By default, the Error log flag is active for all ArchestrA components.
Warning | The Warning log flag determines if warning messages are logged. A warning message indicates that an unexpected event occurred, but the ArchestrA component was able to recover. By default, the Warning log flag is active for all ArchestrA components.
Info | The Info log flag determines if informational messages are logged. An informational message describes the outcome of normal program events. By default, the Info log flag is active for all ArchestrA components.
Trace | The Trace log flag determines if trace messages are logged. Trace messages describe internal object states, variable values, and other low level data from the component.
Scan On Demand | The Scan On Demand log flag determines whether scan on demand-related MxConnection calls, reference counts, and suspend counts are logged. Also, the Scan On Demand log flag determines whether the routing of scan on demand messages to on-engine and off-engine objects are logged.
SOD_BRO | The SOD_BRO log flag determines whether tracing is enabled between the Lmx and the BRO.
SOD_BROProxy | The SOD_BROProxy log flag enables tracing when an interface is used to route a scan on demand message between a primitive and another primitive within the current object.
SOD_PrimProxy | The SOD_PrimProxy log flag determines whether tracing is enabled for the scan on demand interface between the BRO or a BRO proxy and a primitive proxy.
Start-Stop | The Start-Stop log flag determines if messages are logged that show when a component is started or stopped.
Entry-Exit | The Entry-Exit log flag determines if messages are logged that show when a program function was invoked.
ThreadStart-Stop | The ThreadStart-Stop log flag determines if messages are logged that indicate a program thread has started or stopped.
SQL | The SQL log flag determines if SQL messages are logged. Typically, SQL messages show SQL query strings issued by the component.
Connection | The Connection log flag determines if communication messages are logged. Communication messages describe the status of network connections between ArchestrA components.
Ctor-Dtor | The Ctor-Dtor log flag determines if constructor/destructor messages are logged. These messages describe the status of objects as they are created and deleted from memory.
RefCount | The RefCount log flag determines if reference count messages are logged. Reference messages show the counts from objects that manage their life span by counting their clients.

For more information about setting log flags, see "Controlling Logged Messages" on page 14.

Understanding Log Flags


Custom Log Flags

ArchestrA Log Flag Editor Help > Overview of Log Flags > Understanding Log Flags > Custom Log Flags

Custom Log Flags

Most ArchestrA components have unique messages that do not belong to a default log flag category. In those cases, you must create custom log flags and assign them to unique component messages.

Several components can share a custom log flag if they send similar messages that fit into that category and if they assign those messages to the custom log flag. Another component cannot use a custom log flag if it did not assign a message to that log flag.

For more information about creating custom log flags, see "Using Shortcut Menus" on page 17.

Understanding Log Flags


Introducing the ArchestrA Log Flag Editor

ArchestrA Log Flag Editor Help > Overview of Log Flags > Introducing the ArchestrA Log Flag Editor

Introducing the ArchestrA Log Flag Editor

The ArchestrA Log Flag Editor lists all ArchestrA components installed on the node you selected. You enable or disable message logging by setting the log flags associated with the selected component’s message categories.

To work with the ArchestrA Log Flag Editor

  1. Select an ArchestrA component from the Component List.
  2. Set the status of log flags assigned to the component from the Log Flags View.
  3. Assign any additional ArchestrA component to the log flags you selected.
  4. Click the Save button.

Related Topics

Overview of Log Flags

Component List

Log Flags View

Component View


Component List

ArchestrA Log Flag Editor Help > Overview of Log Flags > Introducing the ArchestrA Log Flag Editor > Component List

Component List

The left pane of the main window shows the list of ArchestrA components installed on the node you selected from the ArchestrA Log Viewer. The root of the component list is the node you selected from the ArchestrA Log Viewer list.

After you select a component, only those log flags associated with that component’s message categories appear in the Log Flags View pane. You can select Global from the component list and show all log flags associated with all message categories in the Log Flags View pane.

The ArchestrA Log Flag Editor does not dynamically update the component list. You must restart the ArchestrA Log Flag Editor to show a new component installed on the node. When you remove an ArchestrA component from the selected node, you must use the ArchestrA Log Flag Editor’s Remove Component command to remove it from the component list.

Introducing the ArchestrA Log Flag Editor


Log Flags View

ArchestrA Log Flag Editor Help > Overview of Log Flags > Introducing the ArchestrA Log Flag Editor > Log Flags View

Log Flags View

The top right pane of the ArchestrA Log Flag Editor dialog box is the Log Flags view. This view shows all log flags associated with the message categories of the component selected from the Component List.

The log flags shown in this view correspond to the items shown in the Log Flag column of the ArchestrA Log Viewer.

To log component messages

  • Select the check box of a log flag to log component messages that belong to that message category.

    The title of the view shows the name of the component you selected. The Log Flags view lists the default log flags in black text followed by the custom log flags in blue text.

Introducing the ArchestrA Log Flag Editor


Component View

ArchestrA Log Flag Editor Help > Overview of Log Flags > Introducing the ArchestrA Log Flag Editor > Component View

Component View

The bottom right pane of the main window is the Component view. This view shows all components with messages associated with the log flag selected in the Log Flags view. You can use the Component view to select only those components that log messages of the log flag type selected.

The Log Flags view and Component view dynamically interact depending on your selections. For example:

  • Select a log flag (just the log flag name) and all components with messages associated with that log flag appear in the Component view.
  • Select a log flag’s check box and the check boxes of all components in the Component view are enabled. Clear the log flag’s check box and the check boxes of the components are cleared.
  • Select a log flag’s check box and the check boxes of all components in the Component view are enabled. Clear one component’s check box and the log flag’s check box appears shaded, indicating that at least one component that uses this log flag is disabled.

Introducing the ArchestrA Log Flag Editor


Using the ArchestrA Log Flag Editor

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor

Using the ArchestrA Log Flag Editor

You can use the ArchestrA Log Flag Editor to manage the messages saved to the Logger.

ArchestrA Log Flag Editor tasks include the following:

  • Starting the ArchestrA Log Flag Editor
  • Enabling log flags for a single component
  • Enabling global log flags
  • Enabling log flags for multiple components
  • Using shortcut menus
  • Saving log flag settings to a file
  • Using the ArchestrA Log Flag Editor on remote nodes

In This Chapter

Starting the ArchestrA Log Flag Editor

Using Shortcut Menus

Saving Log Flag Settings to a File

Using the ArchestrA Log Flag Editor on a Remote Node


Starting the ArchestrA Log Flag Editor

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Starting the ArchestrA Log Flag Editor

Starting the ArchestrA Log Flag Editor

You can access the ArchestrA Log Flag Editor utility from the ArchestrA Log Viewer. This procedure explains how to start the ArchestrA Log Flag Editor from a node in which the ArchestrA System Management Console has been installed.

To start the ArchestrA Log Flag Editor

  1. Log on to a computer where the ArchestrA System Management Console has been installed.
  2. Open the ArchestrA System Management Console. ArchestrA Log Viewer appears as an option in the left pane of the console window.
  3. Click ArchestrA Log Viewer.
  4. Expand the ArchestrA Log Viewer list to show ArchestrA nodes.
  5. Select the node from the ArchestrA Log Viewer list that you want to enable with logging flags.
  6. On the Action menu, click Log Flags.

    The ArchestrA Log Flag Editor dialog box appears with a list of ArchestrA components associated with the node you selected.

Related Topics

Using the ArchestrA Log Flag Editor

Controlling Logged Messages

Enabling Log Flags for a Single Component

Enabling Global Log Flags

Enabling Log Flags for Multiple Components


Controlling Logged Messages

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Starting the ArchestrA Log Flag Editor > Controlling Logged Messages

Controlling Logged Messages

The ArchestrA Log Flag Editor provides several ways to select messages for logging.

  • You can enable log flags for an individual ArchestrA component.
  • You can set global log flags that apply to all ArchestrA components.
  • You can set log flags for multiple components, but not on a global basis.

You can select a specific component from the Component List view to specify which categories of messages are logged for that component.

To enable a log flag

  • Select its check box.

To disable a log flag

  • Clear its check box.

You can select Global in the Component List view to enable a log flag for all components. If the check box for a log flag appears shaded, that log flag is enabled for at least one component, but not globally.

Starting the ArchestrA Log Flag Editor


Enabling Log Flags for a Single Component

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Starting the ArchestrA Log Flag Editor > Enabling Log Flags for a Single Component

Enabling Log Flags for a Single Component

This section describes how to set log flags for a single ArchestrA component. The scope of the log flags apply to the message categories of a single ArchestrA component.

Log flags for the Error, Warning, and Info message categories are active for all components. When you select a component, you should see these log flags already set.

To set log flags for a single component

  1. Select a component from the Component List view. The Log Flags view shows the log flags for the component you selected.
  2. In the Log Flags view, select the check boxes of the log flags you want to enable.

  3. On the File menu, click Apply. All component messages from the selected categories are logged.

Starting the ArchestrA Log Flag Editor


Enabling Global Log Flags

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Starting the ArchestrA Log Flag Editor > Enabling Global Log Flags

Enabling Global Log Flags

You can globally enable log flags to log the messages from all components installed on the selected node.

To use log flags on a global basis

  1. In the Component List, select Global. The Log Flags view shows the log flags from all ArchestrA components installed on the selected node.
  2. In the Log Flags view, select the check box of the log flag you want to enable.
  3. On the File menu, click Apply. All messages associated with the selected log flag are logged.

Starting the ArchestrA Log Flag Editor


Enabling Log Flags for Multiple Components

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Starting the ArchestrA Log Flag Editor > Enabling Log Flags for Multiple Components

Enabling Log Flags for Multiple Components

If you want to log messages for multiple components, you can enable the log flags globally and select only those log flags for the components whose messages you do not want logged.

To enable log flags for multiple components

  1. In the Component List, select Global. The Log Flags View shows the log flags for all ArchestrA components installed on the selected node.
  2. In the Log Flags View, click the name of the log flag you want to enable. The Component View shows all components that use the selected log flag.

  1. In the Component View, select only the check boxes of the components for which you want to enable the selected log flag. The check box for the selected log flag appears shaded, indicating that at least one component that uses this log flag is enabled.
  2. On the File menu, click Apply. All messages from the enabled components that are associated with the selected log flags are logged.

Starting the ArchestrA Log Flag Editor


Using Shortcut Menus

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Using Shortcut Menus

Using Shortcut Menus

The ArchestrA Log Flag Editor includes two shortcut menus. Each menu includes a set of commands that apply to either log flags or ArchestrA components. You can show both shortcut menus by right-clicking in a view area of the ArchestrA Log Flag Editor dialog box.

Related Topics

Using the ArchestrA Log Flag Editor

Using the Log Flags View Shortcut Menu

Using the Component List View Shortcut Menu


Using the Log Flags View Shortcut Menu

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Using Shortcut Menus > Using the Log Flags View Shortcut Menu

Using the Log Flags View Shortcut Menu

After right-clicking in the Log Flags view, a shortcut menu shows the following commands:

  • All Flags ON

    This command enables all log flags shown in the view for the component selected in the Component List.

  • All Flags OFF

    This command disables all log flags shown in this view for the component selected in the Component List.

  • Add Custom Flag

    Use this command to create a new custom log flag. The new custom log flag appears at the bottom of the list of the Log Flags view.

    Assign another name to the custom log flag.

    You cannot use the Add Custom Flag command to create a functioning log flag. The ArchestrA Log Flag Editor updates the permanent set of log flags for each component when you install new ArchestrA components on the selected node.

    You can create a custom flag to add a custom flag that exists on another computer, save the log flag settings to file, and then use the file to control messages on that other computer (if you could not do so remotely).

  • Remove Custom Flag

    Use this command to remove a custom log flag from the Log Flags view. Select the custom log flag from the list and right-click within the Log Flags view to show the shortcut menu. Select the Remove Custom Flag command. You are prompted to confirm the deletion.

Using Shortcut Menus


Using the Component List View Shortcut Menu

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Using Shortcut Menus > Using the Component List View Shortcut Menu

Using the Component List View Shortcut Menu

After right-clicking in the Component List view, a shortcut menu shows the following commands:

  • Add Component

    This command adds a new component to the Component List view. The new component appears at the bottom of the Component List view. You should assign another name to the new component.

    You can not use the Add Component command simply to create a functioning component. The ArchestrA Log Flag Editor only updates the Component List with new components when you install new ArchestrA components on the selected node.

    You can use this command to add a component that exists on another computer, save the log flag settings to file, and then use the file to control messages on that other computer (if you could not do so remotely).

  • Remove Component

    This command deletes a component from the list. You are prompted to confirm the deletion before the component is removed. Right-click anywhere in the Component List to show this command, although it is unavailable for Local or Global selections.

    If you remove a component from the list that exists on your computer, it reappears in the list when you restart the ArchestrA Logger and ArchestrA Log Flag Editor. Typically, you remove components from the ArchestrA Log Flag Editor after you remove ArchestrA components from the computer.

Using Shortcut Menus


Saving Log Flag Settings to a File

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Saving Log Flag Settings to a File

Saving Log Flag Settings to a File

The ArchestrA Log Flag Editor provides the capability to save your current log flag settings to a file. Generally, you save current log flag settings to a file when you want to:

  • Back up commonly used log flag settings
  • Store special-purpose log flag settings
  • Use log flag settings on another computer

After you save the log flag settings, you can import the file settings to another instance of the ArchestrA Log Flag Editor. The components and log flags shown in the ArchestrA Log Flag Editor reflect those of the selected node.

When you use the ArchestrA Log Flag Editor to edit a log flag settings file, the name of the file appears in the tree view root. The title bar and status bar continue to show the node to which you are currently connected. You can apply the file’s settings to the selected node or click the New command on the File menu to return to the selected node’s active configuration.

Related Topics

Using the ArchestrA Log Flag Editor

Saving Log Flag Settings

Importing Log Flag Files


Saving Log Flag Settings

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Saving Log Flag Settings to a File > Saving Log Flag Settings

Saving Log Flag Settings

You can save the current settings of the ArchestrA Log Flag Editor to a file. After you save the file, you can copy these settings to the ArchestrA Log Flag Editor on another computer.

By default, the ArchestrA Log Flag Editor saves the file with name of the node where the ArchestrA System Management Console is installed. You must save the file with an .aaLGF extension.

To save log flag settings to a file

  1. Open the ArchestrA Log Flag Editor dialog box.
  2. Set all components and log flags as desired.
  3. On the File menu, click Save As. The Microsoft Save As dialog box appears.
  4. In the Save As dialog box, enter a path and name for the file. The file name must use the .aaLGF extension.
  5. Click Save.

Saving Log Flag Settings to a File


Importing Log Flag Files

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Saving Log Flag Settings to a File > Importing Log Flag Files

Importing Log Flag Files

You can import log flag settings from a file to an ArchestrA Log Flag Editor session. The imported log flag settings exist for the duration of the current ArchestrA Log Flag Editor session. The original log flag settings return after you close and then re-open the ArchestrA Log Flag Editor. But, you can edit the imported log flag settings from the session and save them to a file again.

You can open a log flag settings file by right-clicking it from Windows Explorer and clicking Edit on the shortcut menu. Also, you can apply new log flag settings from a file to the selected node by double-clicking it from Windows Explorer. You are prompted to confirm that you want to apply the log flag settings.

To open a log flag settings file

  1. From Windows Explorer, navigate to the folder where the file containing log flag settings is located.
  2. Right-click the file name to show an action menu.
  3. On the action menu, click Apply. A dialog box asks you to confirm that you want to apply the log flag settings to the node.
  4. Click Yes. Another dialog box appears and confirms that the log flag settings have been successfully applied to the node.

Saving Log Flag Settings to a File


Using the ArchestrA Log Flag Editor on a Remote Node

ArchestrA Log Flag Editor Help > Using the ArchestrA Log Flag Editor > Using the ArchestrA Log Flag Editor on a Remote Node

Using the ArchestrA Log Flag Editor on a Remote Node

You can connect to a remote ArchestrA Log Flag Editor from your local node. After you connect to the remote node, you can use the remote ArchestrA Log Flag Editor to complete all standard tasks as if they were done on a local computer.

To use the ArchestrA Log Flag Editor on a remote node

  1. Open the ArchestrA System Management Console installed on your local node.
  2. Click ArchestrA Log Viewer.
  3. On the Action menu, click Connect and then Remote. The Connect dialog box appears.
  4. In the Computer Name box, enter the node name of the remote computer and click OK. The ArchestrA Log Viewer list refreshes and shows the remote node.
  5. Select the remote node from the ArchestrA Log Viewer list.
  6. On the Action menu, click Log Flags to open the ArchestrA Log Flag Editor dialog box. The node name of the remote ArchestrA Log Flag Editor appears in the title bar.

Using the ArchestrA Log Flag Editor